# GET /avatar/task/{id}

**Method**: `GET`
**Endpoint**: `/avatar/task/{id}`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

TaskStatusNotStart TaskStatus = "NOT\_START"
TaskStatusSubmitted = "SUBMITTED"
TaskStatusQueued = "QUEUED"
TaskStatusInProgress = "IN\_PROGRESS"
TaskStatusFailure = "FAILURE"
TaskStatusSuccess = "SUCCESS"
TaskStatusUnknown = "UNKNOWN"

## Request Parameters

### Path Parameters

```text
id
string
Task ID
Required
Example:
3e98cc3a553f48aaa7b686bb32e76e12
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

## Example Request

### Shell

```bash
curl --location --request GET '/avatar/task/3e98cc3a553f48aaa7b686bb32e76e12' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
code
number
Optional
  // provider-specific example normalized for English documentation
data
object
Optional
id
string
Task ID
Optional
work_name
string
  // provider-specific example normalized for English documentation
Optional
work_video_path
string
  // provider-specific example normalized for English documentation
Optional
wm_work_video_path
string
  // provider-specific example normalized for English documentation
Optional
no_wm_work_video_path
string
  // provider-specific example normalized for English documentation
Optional
work_webp_path
string
  // provider-specific example normalized for English documentation
Optional
web_work_status
number
Optional
  // provider-specific example normalized for English documentation
create_time
number
  // provider-specific example normalized for English documentation
Optional
```

#### Example

```json
{
    "code": "success",
    "message": "",
    "data": {
        "task_id": "57b9ba07db5e4ed5bf18ebb4179a826d",
        "notify_hook": "",
        "action": "avatar-generate",
        "status": "SUCCESS",
        "fail_reason": "",
        "submit_time": 1736868741,
        "start_time": 0,
        "finish_time": 1736868794,
        "progress": "100%",
        "data": {
            "animate_id": "57b9ba07db5e4ed5bf18ebb4179a826d",
            "animate_params_str": "{\"pt_infos\":[{\"context\":null,\"audio_url\":\"server%2Faudio%2Fmain%2Fa8a9bb7805a24430be84b3cf0a0df92a.mp3\",\"voice_engine_id\":null,\"audio_id\":null,\"video_url\":\"server%2Fcommon%2Fmain%2F994eefa4-265e-483d-99a0-8fbcc7aba95f.mp4\",\"video_pattern_url\":null,\"lan\":null,\"character_id\":null,\"pag_img_urls\":null,\"video_img_urls\":null}]}",
            "create_time": 1736868621019,
            "example_image_url": [
                "config/common/main/bd15932c14584ec2bd39f8fb46da47c7.jpg",
                "config/common/main/9ae535433a14496982017711be5a06ca.png",
                "config/common/main/70d3629c39094b33ac0359f017f1a963.jpg",
                "system/file/fdfs/c785a37a9bd64fe5b7bdefa9054cc8b6.png"
            ],
            "ext": {
                "animate_channel": "dynamic",
                "sing_title": "1736868599060.mp3",
                "track_info": "{}"
            },
            "file_type": "VIDEO",
            "id": "6786830de8c29700070fb53d",
            "music_title": "Talking avatar",
            "no_wm_work_video_path": "https://filesystem.site/cdn/20250114/45qy7bqdRCShyfgIK4CO7JVl4GYU0u.mp4",
            "picture_path_list": [],
            "play_types": [
                "PT",
                "",
                "ANIMATE"
            ],
            "primary_play_type": "ANIMATE",
            "share_magic_text": "13.1K users shared moments",
            "singer": "DreamFace",
            "template_create_time": 1700471100257,
            "template_id": "655b213cccd1db0007e1d977",
            "tmp_online_enable": false,
            "user_image_url": "",
            "video_aspect_ratio": 1,
            "vip_enable": false,
            "web_work_status": 200,
            "webp_aspect_ratio": 1,
            "wm_work_video_path": "https://filesystem.site/cdn/20250114/45qy7bqdRCShyfgIK4CO7JVl4GYU0u.mp4",
            "work_name": "1736868599060.mp3",
            "work_video_path": "https://filesystem.site/cdn/20250114/45qy7bqdRCShyfgIK4CO7JVl4GYU0u.mp4",
            "work_webp_path": "https://filesystem.site/cdn/20250114/BweUV4tS8Zifuc05TWna06jAl1ZE3y.jpg"
        }
    }
}
```
